Description

The new "Add virtual layer" dialog sometimes replaces an existing virtual layer, even if the new layer has a different name to the layer

which gets replaced.

(my) steps to reproduce:

1. add a virtual layer, "select * from address where road_name='PATTERSON'", with layer name 'patterson'. Layer is added correctly.

2. press "add virtual layer" again. 

3. Change the name to "bentleigh", sql to "select * from patterson where locality_name='BENTLEIGH'". Press OK. Layer replaces existing

'patterson' layer.

I'd have expected that since the layer has a different name, it wouldn't have replaced the existing layer (regardless of the state of the

"replace" checkbox).

History

#1 - 2016-01-26 01:12 AM - Hugo Mercier

Thanks for your feedback.

I am thinking, in terms of UI it could be better to forget this "replace" checkbox and use the name of the layer as you mentioned:

- if the name is the same, ask the user if he is sure to replace it

- if the name is different, create a new one

What do you think ?

#2 - 2016-01-26 01:25 AM - Nyall Dawson

Sounds great! A possible further improvement could be:

1. Change the layer name text box to a combo box, showing all current virtual layers but also allowing manual entry.

2. If an existing virtual layer is selected from the combo, the sql definition is updated to match that layer.

3. If you click ok and the current value of the layer name combo matches an existing virtual layer, you are prompted with the warning that the existing layer

will be over written.

What do you think?

#3 - 2016-01-26 01:27 AM - Hugo Mercier

Seems even better. I like it. I will try to fix it soon.

2024-04-09 1/2



#4 - 2016-01-26 02:14 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

#5 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
